NEXTAFTER(3)

NAME
nextafter, nextafterf, nextafterl, nexttoward, nexttowardf, nexttowardl - next representable value

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
nextafter(double x, double y);
float
nextafterf(float x, float y);
long double
nextafterl(long double x, long double y);
double
nexttoward(double x, long double y);
float
nexttowardf(float x, long double y);
long double
nexttowardl(long double x, long double y);

DESCRIPTION
These functions return the next machine representable number from x in direction y.

SEE ALSO
ieee(3), math(3)

STANDARDS
The nextafter(), nextafterf(), nextafterl(), nexttoward(), nexttowardf(), and nexttowardl() routines conform to isoC-99. They implement the Nextafter function recommended by ieee754, with the extension that nextafter(+0.0, -0.0) returns -0.0, and nextafter(-0.0, +0.0) returns +0.0.

HISTORY
The nextafter() function appeared in 4.3BSD, and nextafterf() appeared in FreeBSD 2.0.